<template>
  <div class="header-avatar-wrap">
    <router-link :to="{ name: 'profile' }">
      <a-avatar :size="40" class="header-avatar">
        <template #icon>
          <user-outlined />
        </template>
      </a-avatar>
    </router-link>
    <div class="header-avatar-info">
      <div class="title-medium">{{ user.firstName }}</div>
      <div class="caption">Intermarché</div>
    </div>
  </div>
</template>

<script lang="ts" setup>
import { UserOutlined } from '@ant-design/icons-vue';
import { useAuth, EGettersAuth } from '@/store/modules/auth';
const auth = useAuth();
const user = auth[EGettersAuth.GET_USER];
</script>

<style scoped lang="scss">
.header-avatar-wrap {
  display: flex;
  align-items: center;
}

.header-avatar {
  background-color: var(--main-blue);
}

.header-avatar-info {
  margin-left: 15px;
}
</style>
